# Class Dimension

java.lang.Object
com.codename1.ui.geom.Dimension

public class Dimension extends Object
Utility class that holds a width and height that represents a dimension of a component or element

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Dimension()`
  Creates a new instance of Dimension
  `Dimension(int width, int height)`
  CCreates a new instance of Dimension with width and height
  `Dimension(Dimension d)`
  Creates a new instance of Dimension with a predefine dimension

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object arg0)`
  Indicates whether some other object is "equal to" this one.
  `int`
  `getHeight()`
  Return the height of the dimension
  `int`
  `getWidth()`
  Returns the width of the dimension
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `void`
  `setHeight(int height)`
  Set the height of the dimension
  `void`
  `setWidth(int width)`
  Set the width of the dimension
  `String`
  `toString()`
  Returns a string representation of the object.

  ### Methods inherited from class Object

  `clone, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Dimension

    public Dimension()
    Creates a new instance of Dimension

  - ### Dimension

    public Dimension(Dimension d)

    Creates a new instance of Dimension with a predefine dimension

    ###### Parameters

    - `d`: Dimension to copy

  - ### Dimension

    public Dimension(int width, int height)

    CCreates a new instance of Dimension with width and height

    ###### Parameters

    - `width`: the dimention width

    - `height`: the dimention height

- ## Method Details

  - ### getWidth

    public int getWidth()

    Returns the width of the dimension

    ###### Returns

    width of the dimension

  - ### setWidth

    public void setWidth(int width)

    Set the width of the dimension

    ###### Parameters

    - `width`: the dimention width

  - ### getHeight

    public int getHeight()

    Return the height of the dimension

    ###### Returns

    height of the dimension

  - ### setHeight

    public void setHeight(int height)

    Set the height of the dimension

    ###### Parameters

    - `height`: the dimention height

  - ### toString

    public String toString()
    Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of: getClass().getName() + '@' + Integer.toHexString(hashCode())
    Overrides:
      `toString` in class `Object`

  - ### hashCode

    public int hashCode()
    Returns a hash code value for the object. This method is supported for the benefit of hashtables such as those provided by java.util.Hashtable. The general contract of hashCode is: Whenever it is invoked on the same object more than once during an execution of a Java application, the hashCode method must consistently return the same integer, provided no information used in equals comparisons on the object is modified. This integer need not remain consistent from one execution of an application to another execution of the same application. If two objects are equal according to the equals(Object) method, then calling the hashCode method on each of the two objects must produce the same integer result. It is not required that if two objects are unequal according to the equals(java.lang.Object) method, then calling the hashCode method on each of the two objects must produce distinct integer results. However, the programmer should be aware that producing distinct integer results for unequal objects may improve the performance of hashtables. As much as is reasonably practical, the hashCode method defined by class Object does return distinct integers for distinct objects. (This is typically implemented by converting the internal address of the object into an integer, but this implementation technique is not required by the JavaTM programming language.)
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object arg0)
    Indicates whether some other object is "equal to" this one. The equals method implements an equivalence relation: It is reflexive: for any reference value x, x.equals(x) should return true. It is symmetric: for any reference values x and y, x.equals(y) should return true if and only if y.equals(x) returns true. It is transitive: for any reference values x, y, and z, if x.equals(y) returns true and y.equals(z) returns true, then x.equals(z) should return true. It is consistent: for any reference values x and y, multiple invocations of x.equals(y) consistently return true or consistently return false, provided no information used in equals comparisons on the object is modified. For any non-null reference value x, x.equals(null) should return false. The equals method for class Object implements the most discriminating possible equivalence relation on objects; that is, for any reference values x and y, this method returns true if and only if x and y refer to the same object (x==y has the value true).
    Overrides:
      `equals` in class `Object`